Summary: Rotates, compresses, removes and mails system log files
Name: logrotate
Version: 3.14.0
Release: 1
License: GPL+
Group: System Environment/Base
Source0: https://fedorahosted.org/releases/l/o/%{name}/%{name}-%{version}.tar.gz
Patch0: %{name}-3.8.2-aix.patch
Patch1: %{name}-aix-missing-asprintf.patch
Patch2: %{name}-aix-missing-vasprintf.patch
Patch3: %{name}-aix-queue.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: popt >= 1.16-3
BuildRequires: make >= 4.1-2
BuildRequires: patch >= 2.5.4-4
Requires: coreutils >= 8.29-2

%description
The logrotate utility is designed to simplify the administration of
log files on a system which generates a lot of log files.  Logrotate
allows for the automatic rotation compression, removal and mailing of
log files.  Logrotate can be set to handle a log file daily, weekly,
monthly or when the log file gets to a certain size.  Normally,
logrotate runs as a daily cron job.

Install the logrotate package if you need a utility to deal with the
log files on your system.


%prep
%setup -q
PATH=/opt/freeware/bin:$PATH
%patch0
%patch1
%patch2
%patch3


mkdir ../32bit
mv  * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit


%build
export LIBPATH="/opt/freeware/lib:/usr/lib"
export RPM_OPT_FLAGS="-O" CFLAGS="-std=gnu++98"
export LDFLAGS=""


cd 64bit
export OBJECT_MODE=64
#export CC="/usr/vac/bin/xlc_r -q64"
export CC="/opt/freeware/bin/gcc  -maix64 -O2"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} 
gmake %{?_smp_mflags}

if [ "%{dotests}" == 1 ]
then
    (gmake -k check || true)
fi


cd ../32bit
export OBJECT_MODE=32
export CC="/opt/freeware/bin/gcc  -maix32 -O2   -D_LARGE_FILES"
export LDFLAGS="-Wl,-bmaxdata:0x80000000"



./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
gmake %{?_smp_mflags}

if [ "%{dotests}" == 1 ]
then
    (gmake -k check || true)
fi




%install
export PATH=/opt/freeware/bin:$PATH
rm -f .depend

cd 64bit
export OBJECT_MODE=64
export AR="/usr/bin/ar -X64"
    gmake DESTDIR=${RPM_BUILD_ROOT} install
     /usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :
     (
       cd ${RPM_BUILD_ROOT}%{_sbindir}
       for f in $(ls -1| grep -v -e _32 -e _64)
       do
         mv ${f} ${f}_64
       done
    )

cd ../32bit
export OBJECT_MODE=32
export AR="/usr/bin/ar -X32"
    gmake DESTDIR=${RPM_BUILD_ROOT} install
     /usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :
     (
       cd ${RPM_BUILD_ROOT}%{_sbindir}
       for f in $(ls -1| grep -v -e _32 -e _64)
      do
        mv ${f} ${f}_32
	ln -sf ${f}_64 ${f}
       done
     )



mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily
mkdir -p ${RPM_BUILD_ROOT}%{_localstatedir}/lib

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_sbindir}/* || :

install -p -m 644 examples/logrotate-default ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.conf
install -p -m 755 examples/logrotate.cron ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily/logrotate
touch ${RPM_BUILD_ROOT}%{_localstatedir}/lib/logrotate.status

cd ${RPM_BUILD_ROOT}
mkdir -p usr/sbin
cd usr/sbin
ln -sf ../..%{_sbindir}/* .
cd -

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc  32bit/COPYING
%attr(0755,root,system) %{_sbindir}/logrotate*
%attr(0644,root,system) %{_mandir}/man8/logrotate.8*
%attr(0644,root,system) %{_mandir}/man5/logrotate.conf.5*
%attr(0755,root,system) %{_sysconfdir}/cron.daily/logrotate
%attr(0644,root,system) %config(noreplace) %{_sysconfdir}/logrotate.conf
%attr(0755,root,system) %dir %{_sysconfdir}/logrotate.d
%attr(0644,root,system) %verify(not size md5 mtime) %config(noreplace) %{_localstatedir}/lib/logrotate.status
/usr/sbin/*


%changelog
* Mon Nov 26 2018 Harshita Jain <harjain9@in.ibm.com> - 3.14.0
- Update to latest version 3.14.0-1

* Thu Apr 14 2016 Ayappan P <ayappap2@in.ibm.com> - 3.8.5-1
- Update to version 3.8.4

* Wed Nov 20 2013 Gerard Visiedo <gerard.visiedo@bull.net> 3.8.3-1
- Update to version 3.8.3

* Tue Nov 19 2013 Gerard Visiedo <gerard.visiedo@bull.net> 3.8.2-2
- Built on Aix6.1

* Mon Aug 13 2012 Michael Perzl <michael@perzl.org> - 3.8.2-1
- updated to version 3.8.2

* Tue Apr 12 2012 Michael Perzl <michael@perzl.org> - 3.8.1-2
- add missing mbrtowc patch again

* Fri Dec 23 2011 Michael Perzl <michael@perzl.org> - 3.8.1-1
- updated to version 3.8.1

* Mon Aug 29 2011 Michael Perzl <michael@perzl.org> - 3.7.9-2
- add missing mbrtowc patch again

* Thu Dec 02 2010 Michael Perzl <michael@perzl.org> - 3.7.9-1
- updated to version 3.7.9

* Tue Oct 20 2009 Jeremy W. Chalfant <jeremy.w.chalfant@spiritaero.com> - 3.7.8-3
- added -D_LARGE_FILES to CFLAGS in support of rotating files larger than 2GB
  and changed c compiler from xlc to cc as it gave "Initializer must be a
  valid constant expression" errors

* Fri Jun 26 2009 Michael Perzl <michael@perzl.org> - 3.7.8-2
- included olddir option fix

* Wed Jun 17 2009 Michael Perzl <michael@perzl.org> - 3.7.8-1
- updated to version 3.7.8

* Tue Jun 24 2008 Michael Perzl <michael@perzl.org> - 3.7.7-1
- first version for AIX V5.1 and higher
